# /packages/cop-ui/www/ratings/ratings.tcl
ad_page_contract {
    Display the ratings for object obj_id.

    @author Jeff Davis (davis@xarg.net)
    @creation-date 11/12/2003

    @cvs-id $Id: ratings.tcl,v 1.4 2004/06/15 11:48:50 jeffd Exp $
} {
    {object_id:integer {}}
    {owner_id:integer {}}
    {orderby "rating_img,desc"}
}

set user_id [auth::refresh_login]
set admin_p [permission::permission_p -object_id [ad_conn package_id] -privilege admin]
set context [list [list ./ ratings] one]

set clause {}
set title "Rating"

if {![empty_string_p $object_id]} {
    set object_name [db_string object_name {select acs_object__name(:object_id);}]
    append title " for $object_name"
}

if {![empty_string_p $owner_id]} {
    set owner_name [db_string owner_name {select person__name(:owner_id);}]
    set owner_url [acs_community_member_url -user_id $owner_id]
    append title " by $owner_name"
}

if {[empty_string_p "$owner_id$object_id"]} {
    ad_return_complaint 1 [list "No object or person given"]
}

